> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browser-use.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Skill Executions

> List executions for a specific skill.



## OpenAPI

````yaml /cloud/openapi/v2.json get /skills/{skill_id}/executions
openapi: 3.1.0
info:
  title: Browser Use Public API v2
  summary: Browser Use API for running web agents (v2)
  version: 2.0.0
servers:
  - url: https://api.browser-use.com/api/v2
    description: Production server
security: []
paths:
  /skills/{skill_id}/executions:
    get:
      tags:
        - Skills
      summary: List Skill Executions
      description: List executions for a specific skill.
      operationId: list_skill_executions_skills__skill_id__executions_get
      parameters:
        - name: skill_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Skill Id
        - name: pageSize
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Pagesize
        - name: pageNumber
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Pagenumber
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillExecutionListResponse'
        '404':
          description: Skill not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillNotFoundError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    SkillExecutionListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/SkillExecutionView'
          type: array
          title: Items
          description: List of executions
        totalItems:
          type: integer
          title: Total Items
          description: Total number of items in the list
        pageNumber:
          type: integer
          title: Page Number
          description: Page number
        pageSize:
          type: integer
          title: Page Size
          description: Number of items per page
      type: object
      required:
        - items
        - totalItems
        - pageNumber
        - pageSize
      title: SkillExecutionListResponse
      description: Response for listing skill executions.
    SkillNotFoundError:
      properties:
        detail:
          type: string
          title: Detail
          default: Skill not found
      type: object
      title: SkillNotFoundError
      description: Error response when a skill is not found
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SkillExecutionView:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Unique identifier for the execution
        skillId:
          type: string
          format: uuid
          title: Skillid
          description: ID of the skill that was executed
        status:
          type: string
          title: Status
          description: Execution status (running, completed, failed)
        success:
          type: boolean
          title: Success
          description: Whether the execution succeeded
        startedAt:
          type: string
          format: date-time
          title: Startedat
          description: When the execution started
        finishedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Finishedat
          description: When the execution finished
        latencyMs:
          anyOf:
            - type: integer
            - type: 'null'
          title: Latencyms
          description: Execution latency in milliseconds
        hasOutput:
          type: boolean
          title: Hasoutput
          description: Whether output is available for download
      type: object
      required:
        - id
        - skillId
        - status
        - success
        - startedAt
        - finishedAt
        - latencyMs
        - hasOutput
      title: SkillExecutionView
      description: View for a skill execution.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Browser-Use-API-Key

````